void Tost() { //Рандом - 1
  static uint8_t oldFolder = 1;
  static bool readyTost = false;
  if ( tost ) {
    if (!readyTost && PAUSEtimer.isReady()) {
      if (volume != 0 && tracks != -1 ) {
        if (oldFolder != folder ) {
          num = 0;
          oldFolder = folder;
        }
        myMP3.playFolder(folder, (TostList[num] + 1));
        lcd.clear();
        lcd.setCursor(4, 0);
        print_lcd(2);//  ТРЕК
        lcd.setCursor(11, 0);
        lcd.print((TostList[num] + 1), DEC);
        lcd.setCursor(2, 1);
        print_lcd(3);//  !!! ТОСТ !!!
        if (++num >= tracks) {
          num = 0;
        }
      }
      readyTost = true;
      PAUSEtimer.setInterval(500);
      PAUSEtimer.reset();
    }
    if ((readyTost && PAUSEtimer.isReady() && digitalRead(BUSY_PIN)) || volume == 0 || tracks == -1) {
      tost = false;
      readyTost = false;
      if (MenuFlag == 31) {
        menu_vol(0);
      } else {
        if (playOn && MenuFlag != 31) {
          player = true;
          PLAYtimer.reset();
          pause = false;
        }
        returnMenu = true;
      }

    }
  }
}
